<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

<%= form_with(model: category, local: true) do |form| %>
  <% if category.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(category.errors.count, "error") %> prohibited this category from being saved:</h2>

      <ul>
      <% category.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="container">
   <div class="row">
     <div class="col-4 form-group row">
        <div class="col-md-4">
           <%= form.label :category_name %>
        </div>
        <div class="col-md-8">
	   <%= form.text_field :category_name, id: :category_category_name %>
        </div>
     </div>
   </div>
   <div class="actions">
      <%= form.submit "Submit", class:"btn btn-primary float-right" %>
      <%= link_to "Cancel", categories_path, class: "btn btn-warning float-right mr-3" %> 
   </div>
  </div>
<% end %>
